Bug 1625528 (CVE-2018-12379) - CVE-2018-12379 Mozilla: Out-of-bounds write with malicious MAR file
Summary: CVE-2018-12379 Mozilla: Out-of-bounds write with malicious MAR file
Status: CLOSED ERRATA
Alias: CVE-2018-12379
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180905,repor...
Keywords: Security
Depends On: 1623040 1623016 1623017 1623037 1623039 1625533 1625535 1636821
Blocks: 1623023 1636820
TreeView+ depends on / blocked
 
Reported: 2018-09-05 07:14 UTC by Doran Moppert
Modified: 2018-11-05 11:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-05 11:49:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2692 None None None 2018-09-12 10:56 UTC
Red Hat Product Errata RHSA-2018:2693 None None None 2018-09-12 10:57 UTC
Red Hat Product Errata RHSA-2018:3403 None None None 2018-10-30 16:58 UTC
Red Hat Product Errata RHSA-2018:3458 None None None 2018-11-05 10:44 UTC

Description Doran Moppert 2018-09-05 07:14:53 UTC
When the Mozilla Updater opens a MAR format file which contains a very long item filename, an out-of-bounds write can be triggered, leading to a potentially exploitable crash. This requires running the Mozilla Updater manually on the local system with the malicious MAR file in order to occur. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-21/#CVE-2018-12379

Comment 1 Doran Moppert 2018-09-05 07:14:57 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Holger Fuhrmannek

Comment 4 errata-xmlrpc 2018-09-12 10:56:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2692 https://access.redhat.com/errata/RHSA-2018:2692

Comment 5 errata-xmlrpc 2018-09-12 10:57:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2693 https://access.redhat.com/errata/RHSA-2018:2693

Comment 7 Doran Moppert 2018-10-09 01:58:58 UTC
Statement:

This flaw cannot be exploited through email in Thunderbird as scripting is disabled in this for email content. It may be possible to exploit through Feeds (Atom or RSS) or other browser-like contexts.

Comment 8 errata-xmlrpc 2018-10-30 16:58:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3403 https://access.redhat.com/errata/RHSA-2018:3403

Comment 9 errata-xmlrpc 2018-11-05 10:44:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3458 https://access.redhat.com/errata/RHSA-2018:3458


Note You need to log in before you can comment on or make changes to this bug.